Print Friendly

# Class Ext.data.ArrayReader

Package: | Ext.data
Class: | ArrayReader
Extends: | Ext.data.DataReader
Defined In: | ArrayReader.js

Data reader class to create an Array of Ext.data.Record objects from an Array. Each element of that Array represents a row of data fields. The fields are pulled into a Record object using as a subscript, the mapping property of the field definition if it exists, or the field's ordinal position in the definition.

The code below lists all configuration options.

    var RecordDef = Ext.data.Record.create([
           {name: 'name', mapping: 1},
           {name: 'occupation', mapping: 2},
       ]);
       var myReader = new Ext.data.ArrayReader({
           id: 0                     // The subscript within row Array that provides an ID for the Record (optional)
       }, RecordDef);

This would consume an Array like this:

       [ [1, 'Bill', 'Gardener'], [2, 'Ben', 'Horticulturalist'] ]

Properties - Methods - Events - Config Options

## Public Properties

This class has no public properties.

## Public Methods

Method | Defined By
--- | ---
| ArrayReader(`Object meta`, `Array/Ext.data.Record constructor}`) | ArrayReader
Create a new JsonReader
| readRecords(`Object o`) : Object | ArrayReader
Create a data block containing Ext.data.Records from an XML document.

## Public Events

This class has no public events.

## Config Options

Config Options | Defined By
--- | ---
| id : String | ArrayReader
(optional) The subscript within row Array that provides an ID for the Record
| totalProperty : String | ArrayReader
Name of the property from which to retrieve the total number of records in the dataset. This is only needed if the wh...

## Constructor Details

### ArrayReader

`public function ArrayReader(`Object meta`, `Array/Ext.data.Record constructor}`)`
Create a new JsonReader
Parameters:

- `meta` : Object
  Metadata configuration options.
- `constructor}` : Array/Ext.data.Record
  recordType Either an Array of field definition objects, or an Ext.data.Record.html">Ext.data.Record.html#create">Ext.data.Record object created using {@link Ext.data.Record.create.

## Method Details

### readRecords

`public function readRecords(`Object o`)`
Create a data block containing Ext.data.Records from an XML document.
Parameters:

- `o` : Object
  An object which contains an Array of row objects in the property specified in the config as 'root, and optionally a property, specified in the config as 'totalProperty' which contains the total size of the dataset.

Returns:

- `Object`
  data A data block which is used by an Ext.data.Store object as a cache of Ext.data.Records.

This method is defined by ArrayReader.

## Config Details

### id

`id : String`
(optional) The subscript within row Array that provides an ID for the Record
This config option is defined by ArrayReader.

### totalProperty

`totalProperty : String`
Name of the property from which to retrieve the total number of records in the dataset. This is only needed if the whole dataset is not passed in one go, but is being paged from the remote server.
This config option is defined by ArrayReader.

Ext - Copyright © 2006-2007 Ext JS, LLC
All rights reserved.